@echo off

rem PCM+ INSTALL.BAT
rem By:  Kris Nielsen
rem Copyright(c) 1994,1995 Toshiba America Information Systems
rem Version:  1.07 6/20/95

rem assumes that %1 is directory to install to
rem if no %1, then install to c:\PCMPLUS3

rem intro screen
cls
echo Ŀ
echo                                                  
echo                                                  
echo                                                  
echo         Welcome to Toshiba Card Manager          
echo                  Version 3.0                     
echo                                                  
echo                                                  
echo                                                  
echo 
echo\
pause

rem check if PCM.INI exist / we are already installed using this disk
if exist PCM.INI goto already

rem check if all the files needed exist
rem reset error flag
set error=false
rem *** basic files needed ***
if not exist PCMSS.EXE    set error=true
if not exist PCMCS.EXE    set error=true
if not exist PCMRMAN.SYS  set error=true
if not exist PCMFDISK.EXE set error=true
if not exist CNFIGNAM.EXE set error=true
if not exist PCMRMAN.EXE  set error=true
if not exist PCMATA.SYS   set error=true
if not exist PCMATA2.SYS  set error=true
if not exist PCMSCD.EXE   set error=true
if not exist PCMFFCS.EXE  set error=true
if not exist PCMSETUP.EXE set error=true
if not exist PCMSETU2.EXE set error=true
if not exist PCM.EXE      set error=true
if not exist PCM.NEW      set error=true
if not exist PCM2.NEW     set error=true
if not exist PCM3.NEW     set error=true
rem *** windows files needed ***
if not exist PCMVCD.386   set error=true
if not exist PCMWIND.DLL  set error=true
if not exist PCMWIN.EXE   set error=true
if not exist PCMWIN.HLP   set error=true
if not exist PCMWARN.EXE  set error=true
if not exist PCMGROUP.NEW set error=true
rem *** text files needed ***
if not exist README.TXT   set error=true
if not exist CARDS.TXT    set error=true
if not exist REMOVE.TXT   set error=true
if not exist ERRORMSG.TXT set error=true
rem *** ms flash file stuff needed ***
if not exist MS-FLASH.SYS set error=true
if not exist MEMCARD.EXE  set error=true
rem *** misc files needed ***
if not exist ASKIT.COM    set error=true
if not exist INSTALL.BAT  set error=true
if not exist MACHTYPE.EXE set error=true
rem check error flag
if %error%==true goto missing

rem second screen
cls
echo Ŀ
echo                                                  
echo  Please remember that any and all PCMCIA Socket  
echo     & Card Services software and PCMCIA Card     
echo   Enablers, including Toshiba Card Manager V1.0, 
echo    should be removed before installing Toshiba   
echo            Card Manager Version 3.0.             
echo                                                  
echo  **  Please refer to REMOVE.TXT for more      ** 
echo  ** information on removing PCMCIA Software.  ** 
echo                                                  
echo 
echo\

echo Is Toshiba Card Manager V1.0 currently installed
askit (Y or N) ?
if not errorlevel=1 goto installed

cls
echo Ŀ
echo   Toshiba Card Manager Version 3.0 Installation  
echo 
echo\
echo\

rem check for dest directory
if ""=="%1" goto default

echo Toshiba Card Manager Version 3.0 will be installed
echo to the '%1' directory.
echo\
askit Is this OK (Y or N) ?
if errorlevel=1 goto abort

rem check if dest directory has PCM.INI in it
if not exist %1\pcm.ini goto skip2
rem it has ! message user about ren file
echo\
echo The destination directory already has a copy of
echo Toshiba Card Manager Version 3.0 installed.
echo\
echo Rename the existing PCM.INI to PCM.BAK and continue
askit with the installation ? (Y or N)
if errorlevel=1 goto abort
if exist %1\pcm.bak del %1\pcm.bak
ren %1\pcm.ini *.bak
:skip2

echo\
echo Copying files ...
if not exist %1\nul md %1
copy *.* %1 /v > nul
if errorlevel=1 goto error
rem for hollywood
machtype FCBA
if not errorlevel=1 goto skip4
rem for venice
machtype FCCA
if not errorlevel=1 goto skip6
del %1\pcm2.new
del %1\pcm3.new
del %1\pcmsetu2.exe
del %1\pcmata2.sys
echo Done.
echo\
goto done

:skip4
del %1\pcm.new
ren %1\pcm2.new pcm.new
del %1\pcm3.new
del %1\pcmsetu2.exe
del %1\pcmata2.sys
echo Done.
echo\
goto done

:skip6
del %1\pcm.new
del %1\pcm2.new
ren %1\pcm3.new pcm.new
del %1\pcmsetup.exe
ren %1\pcmsetu2.exe pcmsetup.exe
del %1\pcmata.sys
ren %1\pcmata2.sys pcmata.sys
echo Done.
echo\
goto done

:default
echo Toshiba Card Manager Version 3.0 will be installed
echo to the 'C:\PCMPLUS3' directory.
echo\
askit Is this OK (Y or N) ?
if errorlevel=1 goto nothere

rem check if dest directory has PCM.INI in it
if not exist c:\PCMPLUS3\pcm.ini goto skip
rem it has ! message user about ren file
echo\
echo The destination directory already has a copy of
echo Toshiba Card Manager Version 3.0 installed.
echo\
echo Rename the existing PCM.INI to PCM.BAK and continue
askit with the installation ? (Y or N)
if errorlevel=1 goto abort
if exist c:\PCMPLUS3\pcm.bak del c:\PCMPLUS3\pcm.bak
ren c:\PCMPLUS3\pcm.ini *.bak
:skip

echo\
echo Copying files ...
if not exist c:\PCMPLUS3\nul md c:\PCMPLUS3
copy *.* c:\PCMPLUS3 /v > nul
if errorlevel=1 goto error
rem for hollywood
machtype FCBA
if not errorlevel=1 goto skip3
rem for venice
machtype FCCA
if not errorlevel=1 goto skip5
del c:\PCMPLUS3\pcm2.new
del c:\PCMPLUS3\pcm3.new
del c:\PCMPLUS3\pcmsetu2.exe
del c:\PCMPLUS3\pcmata2.sys
echo Done.
echo\
goto done

:skip3
del c:\PCMPLUS3\pcm.new
ren c:\PCMPLUS3\pcm2.new pcm.new
del c:\PCMPLUS3\pcm3.new
del c:\PCMPLUS3\pcmsetu2.exe
del c:\PCMPLUS3\pcmata2.sys
echo Done.
echo\
goto done

:skip5
del c:\PCMPLUS3\pcm.new
del c:\PCMPLUS3\pcm2.new
ren c:\PCMPLUS3\pcm3.new pcm.new
del c:\PCMPLUS3\pcmsetup.exe
ren c:\PCMPLUS3\pcmsetu2.exe pcmsetup.exe
del c:\PCMPLUS3\pcmata.sys
ren c:\PCMPLUS3\pcmata2.sys pcmata.sys
echo Done.
echo\
goto done

:done
rem we're done screen
cls
echo Ŀ
echo   Toshiba Card Manager Version 3 Installation  
echo 
echo\
echo\
if ""=="%1" echo Now change the default directory to 'C:\PCMPLUS3'
if ""=="%1" echo by typing
if ""=="%1" echo\
if ""=="%1" echo        "C:<Enter>" and "CD \PCMPLUS3<Enter>"
if ""=="%1" echo\
if not ""=="%1" echo Now change the default directory to '%1'
if not ""=="%1" echo\
echo and run PCMSETUP by typing
echo\
echo     "PCMSETUP<Enter>"
echo\
echo to complete the installation of Toshiba Card Manager
echo Version 3.0.
echo\
goto end

:error
echo\
echo An error has occurred during the copying of files to
echo the destination directory on the hard drive. This may
echo be due to one of the following reasons:
echo\
echo     A read error on the original disk
echo          or
echo     A write error on the destination disk drive
echo\
goto end

:missing
rem we are missing some files
echo\
echo One or more files needed for installation were not
echo found in the current directory.  Please contact
echo Toshiba Product Support for assistance.
echo\
goto abort

:already
rem found PCM.INI!
rem we are already installed / PCMSETUP has been run
echo\
echo Toshiba Card Manager Version 3.0 has already been
echo installed.  Please contact Toshiba Product Support
echo for assistance.
echo\
goto abort

:nothere
rem user doesn't want default
echo\
echo For installation in other than the default directory
echo of C:\PCMPLUS3, please type:
echo\
echo     INSTALL [destination drive:directory]
echo\
echo For example, 'INSTALL C:\PCM3' installs Toshiba Card
echo Manager Version 3.0 into the C:\PCM3 directory.
echo\
goto abort

:installed
echo\
echo Toshiba Card Manager Version 1.0 must be removed before
echo continuing the installation of Toshiba Card Manager
echo Version 3.0.
echo\
goto abort

:abort
echo\
echo The installation of Toshiba Card Manager was aborted.
echo\
echo\
goto end

:end




